import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MaDrawConfig } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-24 13:44
 */
interface MaDrawConfigCU extends ConditionUtil<MaDrawConfigCU> {
    DRAW_CFG_ID: FieldUtil<MaDrawConfigCU>;
    DRAW_NAME: FieldUtil<MaDrawConfigCU>;
    DRAW_TYPE: FieldUtil<MaDrawConfigCU>;
    STATUS: FieldUtil<MaDrawConfigCU>;
    USER_SOURCE: FieldUtil<MaDrawConfigCU>;
    ACTIVITY_URL: FieldUtil<MaDrawConfigCU>;
    START_TIME: FieldUtil<MaDrawConfigCU>;
    END_TIME: FieldUtil<MaDrawConfigCU>;
    REMARK: FieldUtil<MaDrawConfigCU>;
    CREATE_TIME: FieldUtil<MaDrawConfigCU>;
    UPDATE_TIME: FieldUtil<MaDrawConfigCU>;
}
declare class MaDrawConfigMU extends TableUtilImpl<MaDrawConfigCU, MaDrawConfig> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MaDrawConfigCU;
    static get DRAW_CFG_ID(): FieldUtil<MaDrawConfigCU>;
    static get DRAW_NAME(): FieldUtil<MaDrawConfigCU>;
    static get DRAW_TYPE(): FieldUtil<MaDrawConfigCU>;
    static get STATUS(): FieldUtil<MaDrawConfigCU>;
    static get USER_SOURCE(): FieldUtil<MaDrawConfigCU>;
    static get ACTIVITY_URL(): FieldUtil<MaDrawConfigCU>;
    static get START_TIME(): FieldUtil<MaDrawConfigCU>;
    static get END_TIME(): FieldUtil<MaDrawConfigCU>;
    static get REMARK(): FieldUtil<MaDrawConfigCU>;
    static get CREATE_TIME(): FieldUtil<MaDrawConfigCU>;
    static get UPDATE_TIME(): FieldUtil<MaDrawConfigCU>;
    get DRAW_CFG_ID(): FieldUtil<MaDrawConfigCU>;
    get DRAW_NAME(): FieldUtil<MaDrawConfigCU>;
    get DRAW_TYPE(): FieldUtil<MaDrawConfigCU>;
    get STATUS(): FieldUtil<MaDrawConfigCU>;
    get USER_SOURCE(): FieldUtil<MaDrawConfigCU>;
    get ACTIVITY_URL(): FieldUtil<MaDrawConfigCU>;
    get START_TIME(): FieldUtil<MaDrawConfigCU>;
    get END_TIME(): FieldUtil<MaDrawConfigCU>;
    get REMARK(): FieldUtil<MaDrawConfigCU>;
    get CREATE_TIME(): FieldUtil<MaDrawConfigCU>;
    get UPDATE_TIME(): FieldUtil<MaDrawConfigCU>;
}
export { MaDrawConfigMU, MaDrawConfigCU };
